Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultLegalBasisType

java.lang.Object
be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.LegalBasisKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultLegalBasisType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultLegalBasisType extends LegalBasisKeyType implements Serializable

Java class for ConsultLegalBasisType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultLegalBasisType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:reimbursementlaw:submit}LegalBasisKeyType">
           <sequence>
             <element name="Title" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             <element name="Type" type="{urn:be:fgov:ehealth:dics:core:v4:reimbursementlaw:submit}LegalBasisTypeType"/>
             <element name="EffectiveOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="LegalReference" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultRecursiveLegalReferenceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultLegalBasisType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getEffectiveOn()`
  Gets the value of the effectiveOn property.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `List<ConsultRecursiveLegalReferenceType>`
  `getLegalReferences()`
  Gets the value of the legalReferences property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `ConsultTextType`
  `getTitle()`
  Gets the value of the title property.
  `String`
  `getType()`
  Gets the value of the type property.
  `void`
  `setEffectiveOn(Instant value)`
  Sets the value of the effectiveOn property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setTitle(ConsultTextType value)`
  Sets the value of the title property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.LegalBasisKeyType

  `getKey, setKey`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultLegalBasisType

    public ConsultLegalBasisType()

- ## Method Details

  - ### getTitle

    public ConsultTextType getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `ConsultTextType`

  - ### setTitle

    public void setTitle(ConsultTextType value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `ConsultTextType`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEffectiveOn

    public Instant getEffectiveOn()
    Gets the value of the effectiveOn property.
    Returns:
      possible object is `String`

  - ### setEffectiveOn

    public void setEffectiveOn(Instant value)
    Sets the value of the effectiveOn property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLegalReferences

    public List<ConsultRecursiveLegalReferenceType> getLegalReferences()
    Gets the value of the legalReferences property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalReferences property.

    For example, to add a new item, do as follows:

         getLegalReferences().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultRecursiveLegalReferenceType`

    Returns:
      The value of the legalReferences property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`